# vim:filetype=config:tw=80:et
# 
# This is sample ~/.stalonetrayrc, resembling default configuration.
# Remember: command line parameters take precedence.
#
# Directives introduced in 0.8 are marked with "NEW in 0.8"
#
####################################################################
# 
# stalonetray understands following directives
#
####################################################################

# background <color>         # color can be specified as an HTML hex triplet or
                             # as a name from rgb.txt, note that '#' must be quoted
background "#777777"

# decorations <decspec>      # set trays window decorations; possible values for
                             # decspec are: all, title, border, none
decorations none

# display <display name>     # as usual

# dockapp_mode <mode>        # set dockapp mode, which can be either simple (for
                             # e.g. OpenBox, wmaker for WindowMaker, or none
                             # (default). NEW in 0.8.
#dockapp_mode    simple
dockapp_mode    none

# fuzzy_edges [<level>]      # enable fuzzy edges and set fuzziness level. level
                             # can be from 0 (disabled) to 3; this setting works
                             # with tinting and/or transparent and/or pixmap
                             # backgrounds
fuzzy_edges 0

# geometry <geometry>        # tray's geometry in standard X notation; width and
                             # height are specified in slot_size multiples
geometry 1x1+0+0

# grow_gravity <gravity>     # one of N, S, E, W, NW, NE, SW, SE; tray will grow
                             # in the direction opposite to one specified by
							 # grow_gravity; if horizontal or vertical
							 # direction is not specified, tray will not grow in
							 # that direction
grow_gravity NW

# icon_gravity <gravity>     # icon placement gravity, one of NW, NE, SW, SE
icon_gravity NW

# icon_size <int>            # specifies dimensions of typical icon slot
icon_size 24

# log_level <level>          # controls the amount of logging output, level can
                             # be err (default), info, or trace (enabled only
                             # when stalonetray configured with --enable-debug)
                             # NEW in 0.8.
log_level err

# kludges kludge[,kludge]    # enable specific kludges to work around
                             # non-conforming WMs and/or stalonetray bugs.
                             # NEW in 0.8. Argument is a
                             # comma-separated list of
                             # * fix_window_pos - fix tray window position on
                             #     erroneous moves by WM
                             # * force_icon_size - ignore resize events on all
                             #     icons; force their size to be equal to
                             #     icon_size
                             # * use_icon_hints - use icon window hints to
                             #     dtermine icon size

# max_geometry <geometry>    # maximal tray dimensions; 0 in width/height means
                             # no limit
max_geometry 0x0

# no_shrink [<bool>]         # disables shrink-back mode
no_shrink false

# parent_bg [<bool>]         # whether to use pseudo-transparency 
                             # (looks better when reparented into smth like FvwmButtons)
parent_bg false

# pixmap_bg <path_to_xpm>    # use pixmap from specified xpm file for (tiled) background
# pixmap_bg /home/user/.stalonetraybg.xpm

# scrollbars <mode>          # enable/disable scrollbars; mode is either
                             # vertical, horizontal, all or none (default)
                             # NEW in 0.8.
scrollbars none

# scrollbars-size <size>     # scrollbars step in pixels; default is slot_size / 4
# scrollbars-step 8

# scrollbars-step <step>     # scrollbars step in pixels; default is slot_size / 2
# scrollbars-step 32

# slot_size <int>            # specifies size of icon slot, defaults to
                             # icon_size NEW in 0.8.

# skip_taskbar [<bool>]      # hide tray`s window from the taskbar
skip_taskbar true

# sticky [<bool>]            # make a tray`s window sticky across the
                             # desktops/pages
sticky true

# tint_color <color>         # set tinting color
tint_color white

# tint_level <level>         # set tinting level; level ranges from 0 (disabled)
                             # to 255
tint_level 0

# transparent [<bool>]       # whether to use root-transparency (background
                             # image must be set with Esetroot or compatible utility)
transparent false

# vertical [<bool>]          # whether to use vertical layout (horisontal layout
                             # is used by default)
vertical false

# window_layer <layer>       # set the EWMH-compatible window layer; one of:
                             # bootom, normal, top
window_layer normal

# window_strut <mode>        # enable/disable window struts for tray window (to
                             # avoid converting of tray window by maximized
                             # windows); mode defines to which screen border tray
                             # will be attached; it can be either top, bottom,
                             # left, right, none or auto (default)
window_strut auto

# window_type <type>         # set the EWMH-compatible window type; one of:
                             # desktop, dock, normal, toolbar, utility
window_type dock

# xsync [<bool>]             # whether to operate on X server synchronously (SLOOOOW)
xsync false

